Feeef Cloud
ApiParcels

Get a parcel, including its event timeline

GET
/parcels/{id}
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/parcels/string"
{  "data": {    "id": "string",    "tenantId": -9007199254740991,    "reference": "string",    "status": "created",    "carrierAccountId": "string",    "courierId": "string",    "trackingId": "string",    "batchId": "string",    "recipient": {      "name": "string",      "phone": "string",      "phoneAlt": "string"    },    "destination": {      "country": "string",      "stateCode": "string",      "cityName": "string",      "address": "string",      "deliveryType": "home",      "pickupId": "string",      "resolved": {        "method": "string",        "confidence": 0      }    },    "codAmount": 0,    "weightKg": 0,    "dimensions": {      "property1": null,      "property2": null    },    "contents": "string",    "notes": "string",    "deliveryAttempts": 0,    "metadata": {      "property1": null,      "property2": null    },    "createdAt": "string",    "updatedAt": "string",    "submittedAt": "string",    "deliveredAt": "string",    "returnedAt": "string",    "cancelledAt": "string",    "events": [      {        "type": "string",        "source": "string",        "at": "string",        "fromStatus": "created",        "toStatus": "created",        "payload": {          "property1": null,          "property2": null        }      }    ]  }}